<?php

 // THIS FILE IS PART OF WEBMATIC3 (Webmatic cube)
 // www.valarsoft.com

 defined('WM3_cEXEC') or die('Denied');

 class wm3GUITextArea extends wm3GUIField
  {
   // Arrays

   // Variables
   private $rows,$cols;

   function __construct($name,$value = '',$label = '', $rows = 4, $cols = 80)
    {
	 parent::__construct($name,$value,$label);
	 $this->rows = $rows;
	 $this->cols = $cols;
    }

   public function render()
    {
	 // Render text area
     if($this->inactive) $inactive = "readonly"; else $inactive = '';
     $this->value = wm3Util::quoteHTML($this->value); //TODO controllare funzione quoteHTML (lasciarla cosi'?)
     if($this->id) $id = "id=\"".$this->id."\""; else $id = '';
     return "<textarea name=\"$this->name\" rows=\"$this->rows\" cols=\"$this->cols\" $id $inactive>$this->value</textarea>";
	}

  }

?>
